/******************************************************************************/
/* cmformats.h     CICS on Open Systems Monitor Data Formatter   Rags Gardner */
/*                                                                            */
/* Rags Int., Inc.                                              December 1999 */
/* (c) RISC Application Growth Solutions International, Incorporated  1999    */
/*             (817) 267-2554       rags@compuserve.com                       */
/*                                                                            */
/******************************************************************************/

/*--------------------------------------------------------*/
/*-                                                      -*/
/*- The following array of FieldDesc_t structures        -*/
/*- must match the definition in cmfreport.h             -*/
/*- This assigns report attributes for each cmf emp      -*/
/*- and contains statistical accumulators for them       -*/
/*-                                                      -*/
/*--------------------------------------------------------*/
struct FieldDesc_t FormatMap[]={

   CICS_EMP_FID_USER_SPACE,                      /* cics cmf field number   0 */
   CICS_EMP_TDQ_DETAIL_TYPE_USER,                        /* type of cmf field */
   none,                                                 /* user emp sub type */
   60,                                                   /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "UserData",                                              /* selection name */
   "UserData",                                           /* report title text */

   CICS_EMP_FID_USER_SPACE,                      /* cics cmf field number   0 */
   CICS_EMP_TDQ_DETAIL_TYPE_USER,                        /* type of cmf field */
   Clk1T,                                                /* user emp sub type */
   CLOCK_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "UserClk1T",                                             /* selection name */
   "UserClock-1",                                        /* report title text */

   CICS_EMP_FID_USER_SPACE,                      /* cics cmf field number   0 */
   CICS_EMP_TDQ_DETAIL_TYPE_USER,                        /* type of cmf field */
   Clk1Ct,                                               /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "UserClk1Ct",                                            /* selection name */
   "uClk1Ct",                                            /* report title text */

   CICS_EMP_FID_USER_SPACE,                      /* cics cmf field number   0 */
   CICS_EMP_TDQ_DETAIL_TYPE_USER,                        /* type of cmf field */
   Clk2T,                                                /* user emp sub type */
   CLOCK_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "UserClk2T",                                             /* selection name */
   "UserClock-2",                                        /* report title text */

   CICS_EMP_FID_USER_SPACE,                      /* cics cmf field number   0 */
   CICS_EMP_TDQ_DETAIL_TYPE_USER,                        /* type of cmf field */
   Clk2Ct,                                               /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "UserClk2Ct",                                            /* selection name */
   "uClk2Ct",                                            /* report title text */

   CICS_EMP_FID_USER_SPACE,                      /* cics cmf field number   0 */
   CICS_EMP_TDQ_DETAIL_TYPE_USER,                        /* type of cmf field */
   Ctr1,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "UserCtr1",                                              /* selection name */
   "UsrCt1",                                             /* report title text */

   CICS_EMP_FID_USER_SPACE,                      /* cics cmf field number   0 */
   CICS_EMP_TDQ_DETAIL_TYPE_USER,                        /* type of cmf field */
   Ctr2,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "UserCtr2",                                              /* selection name */
   "UsrCt2",                                             /* report title text */

   CICS_EMP_FID_USER_SPACE,                      /* cics cmf field number   0 */
   CICS_EMP_TDQ_DETAIL_TYPE_USER,                        /* type of cmf field */
   Ctr3,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "UserCtr3",                                              /* selection name */
   "UsrCt3",                                             /* report title text */

   CICS_EMP_FID_TRANS_ID,                        /* cics cmf field number   1 */
   CICS_EMP_TDQ_DETAIL_TYPE_STRING,                      /* type of cmf field */
   none,                                                 /* user emp sub type */
   CICS_EMP_TRANSACTION_ID_SIZE,                         /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TranId",                                                /* selection name */
   "TRAN",                                               /* report title text */

   CICS_EMP_FID_TERM_ID,                         /* cics cmf field number   2 */
   CICS_EMP_TDQ_DETAIL_TYPE_STRING,                      /* type of cmf field */
   none,                                                 /* user emp sub type */
   CICS_EMP_TERMINAL_ID_SIZE,                            /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TermId",                                                /* selection name */
   "TERM",                                               /* report title text */

   CICS_EMP_FID_OPERATOR_ID,                     /* cics cmf field number   3 */
   CICS_EMP_TDQ_DETAIL_TYPE_STRING,                      /* type of cmf field */
   none,                                                 /* user emp sub type */
   3,                   /* CICS_EMP_OPERATOR_ID_SIZE, */ /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "OpId",                                                  /* selection name */
   "Opr",                                                /* report title text */

   CICS_EMP_FID_TRANS_TYPE,                      /* cics cmf field number   4 */
   CICS_EMP_TDQ_DETAIL_TYPE_STRING,                      /* type of cmf field */
   none,                                                 /* user emp sub type */
   1,                                                    /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TranType",                                              /* selection name */
   "T",                                                  /* report title text */

   CICS_EMP_FID_START_TIME,                      /* cics cmf field number   5 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIME_STAMP,                  /* type of cmf field */
   none,                                                 /* user emp sub type */
   TOD_SZ,                                               /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "StartTime",                                             /* selection name */
   "Start-TOD",                                          /* report title text */

   CICS_EMP_FID_STOP_TIME,                       /* cics cmf field number   6 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIME_STAMP,                  /* type of cmf field */
   none,                                                 /* user emp sub type */
   TOD_SZ,                                               /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "StopTime",                                              /* selection name */
   "Stop-TOD",                                           /* report title text */

   CICS_EMP_FID_TASK_ET,                         /* cics cmf field number   7 */
   CICS_EMP_TDQ_DETAIL_TYPE_OS_CLOCK,                    /* type of cmf field */
   none,                                                 /* user emp sub type */
   CLOCK_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "ElapsedTime",                                           /* selection name */
   "Elapsed-Time",                                       /* report title text */

   CICS_EMP_FID_TASK_UT,                         /* cics cmf field number   8 */
   CICS_EMP_TDQ_DETAIL_TYPE_OS_CLOCK,                    /* type of cmf field */
   none,                                                 /* user emp sub type */
   CLOCK_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "UserCPU",                                               /* selection name */
   "User-CPU",                                           /* report title text */

   CICS_EMP_FID_ET_TERM_IO,                      /* cics cmf field number   9 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "Term_Time",                                             /* selection name */
   "TerminalTime",                                       /* report title text */

   CICS_EMP_FID_ET_JOURNAL_IO,                   /* cics cmf field number  10 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "Jrnl_Time",                                             /* selection name */
   "JournalTime",                                        /* report title text */

   CICS_EMP_FID_ET_TS_IO,                        /* cics cmf field number  11 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TS_IO_Time",                                            /* selection name */
   "TS-IO-Time",                                         /* report title text */

   CICS_EMP_FID_ET_TERM_MGR,                     /* cics cmf field number  15 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TermMgrTime",                                           /* selection name */
   "TermMgrTime",                                        /* report title text */

   CICS_EMP_FID_SUT_TERM_MGR,                    /* cics cmf field number  16 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TermSysTime",                                           /* selection name */
   "TermSysTime",                                        /* report title text */

   CICS_EMP_FID_ET_TRANS_SCH,                    /* cics cmf field number  24 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "SchedTime",                                             /* selection name */
   "TranSched",                                          /* report title text */

   CICS_EMP_FID_ET_SUSPENDED,                    /* cics cmf field number  27 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "SuspTime",                                              /* selection name */
   "Suspend",                                            /* report title text */

   CICS_EMP_FID_PAGE_COUNT,                      /* cics cmf field number  29 */
   CICS_EMP_TDQ_DETAIL_TYPE_OS_COUNT,                    /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "PageFaults",                                            /* selection name */
   "PageFlts",                                           /* report title text */

   CICS_EMP_FID_PAGE_IO_COUNT,                   /* cics cmf field number  30 */
   CICS_EMP_TDQ_DETAIL_TYPE_OS_COUNT,                    /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "PageIO",                                                /* selection name */
   "PageIOct",                                           /* report title text */

   CICS_EMP_FID_TCASEQ_NO,                       /* cics cmf field number  31 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TaskNo",                                                /* selection name */
   "TaskNo",                                             /* report title text */

   CICS_EMP_FID_DSEGMENT_SIZE,                   /* cics cmf field number  33 */
   CICS_EMP_TDQ_DETAIL_TYPE_HIGH_WATER,                  /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "DataSize",                                              /* selection name */
   "DataSize",                                           /* report title text */

   CICS_EMP_FID_PTF_MESS_IN,                     /* cics cmf field number  34 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "MsgInPri",                                              /* selection name */
   "MsgInPri",                                           /* report title text */

   CICS_EMP_FID_PTF_MESS_OUT,                    /* cics cmf field number  35 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "MsgOutPri",                                             /* selection name */
   "MsgOtPri",                                           /* report title text */

   CICS_EMP_FID_FILE_GET,                        /* cics cmf field number  36 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "FILE_GET",                                              /* selection name */
   "FILE-GET",                                           /* report title text */

   CICS_EMP_FID_FILE_PUT,                        /* cics cmf field number  37 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "FILE_PUT",                                              /* selection name */
   "FILE-PUT",                                           /* report title text */

   CICS_EMP_FID_FILE_BROWSE,                     /* cics cmf field number  38 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "FILE_BROWSE",                                           /* selection name */
   "FILE-BRS",                                           /* report title text */

   CICS_EMP_FID_FILE_ADD,                        /* cics cmf field number  39 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "FILE_ADD",                                              /* selection name */
   "FILE-ADD",                                           /* report title text */

   CICS_EMP_FID_FILE_DELETE,                     /* cics cmf field number  40 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "FILE_DELETE",                                           /* selection name */
   "FILE-DEL",                                           /* report title text */

   CICS_EMP_FID_TD_GET,                          /* cics cmf field number  41 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TD_GET",                                                /* selection name */
   "TD-GET",                                             /* report title text */

   CICS_EMP_FID_TD_PUT,                          /* cics cmf field number  42 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TD_PUT",                                                /* selection name */
   "TD-PUT",                                             /* report title text */

   CICS_EMP_FID_TD_PURGE,                        /* cics cmf field number  43 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TD_PURGE",                                              /* selection name */
   "TD-PURGE",                                           /* report title text */

   CICS_EMP_FID_TS_GET,                          /* cics cmf field number  44 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TS_GET",                                                /* selection name */
   "TS-GET",                                           /* report title text */

   CICS_EMP_FID_TS_AUX_PUT,                      /* cics cmf field number  46 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TS_AUX_PUT",                                            /* selection name */
   "TS-A-PUT",                                           /* report title text */

   CICS_EMP_FID_TS_MAIN_PUT,                     /* cics cmf field number  47 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TS_MAIN_PUT",                                           /* selection name */
   "TS-M-PUT",                                           /* report title text */

   CICS_EMP_FID_BMS_MAP,                         /* cics cmf field number  50 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "BMS_MAP",                                               /* selection name */
   "BMS-MAP",                                            /* report title text */

   CICS_EMP_FID_BMS_IN,                          /* cics cmf field number  51 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "BMS_IN",                                                /* selection name */
   "BMS-IN",                                             /* report title text */

   CICS_EMP_FID_BMS_OUT,                         /* cics cmf field number  52 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "BMS_OUT",                                               /* selection name */
   "BMS-OUT",                                            /* report title text */

   CICS_EMP_FID_GETMAIN_COUNT,                   /* cics cmf field number  54 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "GETMAIN",                                               /* selection name */
   "GETMAIN",                                            /* report title text */

   CICS_EMP_FID_LINK,                            /* cics cmf field number  55 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "LINK",                                                  /* selection name */
   "LINK",                                               /* report title text */

   CICS_EMP_FID_XCTL,                            /* cics cmf field number  56 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "XCTL",                                                  /* selection name */
   "XCTL",                                               /* report title text */

   CICS_EMP_FID_LOAD,                            /* cics cmf field number  57 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "LOAD",                                                  /* selection name */
   "LOAD",                                               /* report title text */

   CICS_EMP_FID_JOURNAL_OUT,                     /* cics cmf field number  58 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "JOURNAL",                                               /* selection name */
   "JOURNAL",                                            /* report title text */

   CICS_EMP_FID_START_REQS,                      /* cics cmf field number  59 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "START",                                                 /* selection name */
   "START",                                              /* report title text */

   CICS_EMP_FID_SYNCPOINT,                       /* cics cmf field number  60 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "SYNCPOINT",                                             /* selection name */
   "SYNCPT",                                             /* report title text */

   CICS_EMP_FID_SWAP_COUNT,                      /* cics cmf field number  61 */
   CICS_EMP_TDQ_DETAIL_TYPE_OS_COUNT,                    /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "SWAP",                                                  /* selection name */
   "SWAP",                                               /* report title text */

   CICS_EMP_FID_ET_FILE_IO,                      /* cics cmf field number  63 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "FILE_Time",                                             /* selection name */
   "FILE-IO-Time",                                       /* report title text */

   CICS_EMP_FID_TASK_FLAGS,                      /* cics cmf field number  64 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TaskFlags",                                             /* selection name */
   "TaskFlag",                                           /* report title text */

   CICS_EMP_FID_ATF_MESS_IN,                     /* cics cmf field number  67 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "MsgInAlt",                                              /* selection name */
   "MsgInAlt",                                           /* report title text */

   CICS_EMP_FID_ATF_MESS_OUT,                    /* cics cmf field number  68 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "MsgOutAlt",                                             /* selection name */
   "MsgOtAlt",                                           /* report title text */

   CICS_EMP_FID_PROGRAM,                         /* cics cmf field number  71 */
   CICS_EMP_TDQ_DETAIL_TYPE_STRING,                      /* type of cmf field */
   none,                                                 /* user emp sub type */
   CICS_EMP_PROGRAM_ID_SIZE,                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "PROGNAME",                                              /* selection name */
   "PROGNAME",                                           /* report title text */

   CICS_EMP_FID_PTF_CHARS_IN,                    /* cics cmf field number  83 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "InCharP",                                               /* selection name */
   "InCharP",                                            /* report title text */

   CICS_EMP_FID_PTF_CHARS_OUT,                   /* cics cmf field number  84 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "OutCharP",                                              /* selection name */
   "OutCharP",                                           /* report title text */

   CICS_EMP_FID_ATF_CHARS_IN,                    /* cics cmf field number  85 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "InCharA",                                               /* selection name */
   "InCharA",                                            /* report title text */

   CICS_EMP_FID_ATF_CHARS_OUT,                   /* cics cmf field number  86 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "OutCharA",                                              /* selection name */
   "OutCharA",                                           /* report title text */

   CICS_EMP_FID_TSEGMENT_SIZE,                   /* cics cmf field number  87 */
   CICS_EMP_TDQ_DETAIL_TYPE_HIGH_WATER,                  /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TextSize",                                              /* selection name */
   "TextSize",                                           /* report title text */

   CICS_EMP_FID_FREEMAIN_SIZE,                   /* cics cmf field number  88 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "FreemainSz",                                            /* selection name */
   "FreemnSz",                                         /* report title text */

   CICS_EMP_FID_USER_ID,                         /* cics cmf field number  89 */
   CICS_EMP_TDQ_DETAIL_TYPE_STRING,                      /* type of cmf field */
   none,                                                 /* user emp sub type */
   CICS_EMP_USER_ID_SIZE,                                /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "UserId",                                                /* selection name */
   "UserId  ",                                           /* report title text */

   CICS_EMP_FID_BMS_TOTAL,                       /* cics cmf field number  90 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "BMS_Total",                                             /* selection name */
   "BMS-Tot",                                            /* report title text */

   CICS_EMP_FID_TD_TOTAL,                        /* cics cmf field number  91 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TD_Total",                                              /* selection name */
   "TD-Total",                                           /* report title text */

   CICS_EMP_FID_TS_TOTAL,                        /* cics cmf field number  92 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TS_Total",                                              /* selection name */
   "TS-Total",                                           /* report title text */

   CICS_EMP_FID_FILE_TOTAL,                      /* cics cmf field number  93 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "FILE_Total",                                            /* selection name */
   "FILE-Tot",                                           /* report title text */

   CICS_EMP_FID_ET_COMPRESS,                     /* cics cmf field number  94 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "MemWaitTime",                                           /* selection name */
   "MemWaitTime",                                        /* report title text */

   CICS_EMP_FID_DSEG_OCCUPANCY,                  /* cics cmf field number  95 */
   CICS_EMP_TDQ_DETAIL_TYPE_OCCUPANCY,                   /* type of cmf field */
   none,                                                 /* user emp sub type */
   10,                                                   /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "DataOccup",                                             /* selection name */
   "DataOcc",                                            /* report title text */

   CICS_EMP_FID_ET_CICSSPACE,                    /* cics cmf field number  96 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "CICStime",                                              /* selection name */
   "EXEC-CICS",                                          /* report title text */

   CICS_EMP_FID_NETWORK_NAME,                    /* cics cmf field number  97 */
   CICS_EMP_TDQ_DETAIL_TYPE_STRING,                      /* type of cmf field */
   none,                                                 /* user emp sub type */
   CICS_EMP_SYSTEM_ID_SIZE,                              /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "NETNAME",                                               /* selection name */
   "NETNAME",                                            /* report title text */

   CICS_EMP_FID_UOW_ID,                          /* cics cmf field number  98 */
   CICS_EMP_TDQ_DETAIL_TYPE_STRING,                      /* type of cmf field */
   none,                                                 /* user emp sub type */
   CICS_EMP_TID_SIZE,      /* CICS_EMP_TID_SIZE 19?24 */ /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "LUW_Id",                                                /* selection name */
   "-- LUW-Id --  ",                                     /* report title text */

   CICS_EMP_FID_ET_TD_IO,                        /* cics cmf field number 101 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TD_IO_Time",                                            /* selection name */
   "TD-IO-Time",                                         /* report title text */

   CICS_EMP_FID_ET_EXCEPTION,                    /* cics cmf field number 103 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "SHR_S_Wait",                                            /* selection name */
   "SHR-S-Wait",                                         /* report title text */

   CICS_EMP_FID_TSEG_OCCUPANCY,                  /* cics cmf field number 108 */
   CICS_EMP_TDQ_DETAIL_TYPE_OCCUPANCY,                   /* type of cmf field */
   none,                                                 /* user emp sub type */
   10,                                                   /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TextOccup",                                             /* selection name */
   "TextOcc",                                            /* report title text */

   CICS_EMP_FID_TRANS_PRIOR,                     /* cics cmf field number 109 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TranPri",                                               /* selection name */
   "TranPri",                                            /* report title text */

   CICS_EMP_FID_RECORD_TYPE,                     /* cics cmf field number 112 */
   CICS_EMP_TDQ_DETAIL_TYPE_STRING,                      /* type of cmf field */
   none,                                                 /* user emp sub type */
   1,                                                    /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "RecType",                                               /* selection name */
   "R",                                                  /* report title text */

   CICS_EMP_FID_FIRST_ABEND,                     /* cics cmf field number 113 */
   CICS_EMP_TDQ_DETAIL_TYPE_ABEND_CODE,                  /* type of cmf field */
   none,                                                 /* user emp sub type */
   CICS_EMP_ABEND_SIZE,                                  /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "ABEND1",                                                /* selection name */
   "ABND1",                                              /* report title text */

   CICS_EMP_FID_LATEST_ABEND,                    /* cics cmf field number 114 */
   CICS_EMP_TDQ_DETAIL_TYPE_ABEND_CODE,                  /* type of cmf field */
   none,                                                 /* user emp sub type */
   CICS_EMP_ABEND_SIZE,                                  /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "ABEND",                                                 /* selection name */
   "ABEND",                                              /* report title text */

   CICS_EMP_FID_ET_PROG_LOAD,                    /* cics cmf field number 115 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "LoadTime",                                              /* selection name */
   "LoadTime",                                           /* report title text */

   CICS_EMP_FID_ET_FILE_MGR,                     /* cics cmf field number 200 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "SFS_Time",                                              /* selection name */
   "SFS-Time",                                           /* report title text */

   CICS_EMP_FID_FREEMAIN_CNT,                    /* cics cmf field number 202 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "FreemainCt",                                            /* selection name */
   "FreemnCt",                                           /* report title text */

   CICS_EMP_FID_GETMAIN_SIZE,                    /* cics cmf field number 203 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "GetmainSz",                                             /* selection name */
   "GETMN-Sz",                                          /* report title text */

   CICS_EMP_FID_ET_PPC_SNA_LINK,                 /* cics cmf field number 207 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "PPC_Time",                                              /* selection name */
   "PPC-Time",                                           /* report title text */

   CICS_EMP_FID_ET_TCP_LINK,                     /* cics cmf field number 208 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "TCP/IP_Time",                                           /* selection name */
   "TCP/IP-Time",                                        /* report title text */

   CICS_EMP_FID_ISCMESS_IN,                      /* cics cmf field number 209 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "ISC_MsgIn",                                             /* selection name */
   "ISCmsgIn",                                           /* report title text */

   CICS_EMP_FID_ISCMESS_OUT,                     /* cics cmf field number 210 */
   CICS_EMP_TDQ_DETAIL_TYPE_COUNTER,                     /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "ISC_MsgOut",                                            /* selection name */
   "ISCmsgOt",                                           /* report title text */

   CICS_EMP_FID_TASK_ST,                         /* cics cmf field number 211 */
   CICS_EMP_TDQ_DETAIL_TYPE_OS_CLOCK,                    /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "KernelCPU",                                             /* selection name */
   "Kernel-CPU",                                         /* report title text */

   CICS_EMP_FID_CON_SWITCH,                      /* cics cmf field number 212 */
   CICS_EMP_TDQ_DETAIL_TYPE_OS_COUNT,                    /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "CtxSwVol",                                              /* selection name */
   "CtxSwVol",                                           /* report title text */

   CICS_EMP_FID_ICON_SWITCH,                     /* cics cmf field number 213 */
   CICS_EMP_TDQ_DETAIL_TYPE_OS_COUNT,                    /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "CtxSwInv",                                              /* selection name */
   "CtxSwInv",                                           /* report title text */

   CICS_EMP_FID_SIGNALS,                         /* cics cmf field number 214 */
   CICS_EMP_TDQ_DETAIL_TYPE_OS_COUNT,                    /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "SignalsCt",                                             /* selection name */
   "SignalCt",                                           /* report title text */

   CICS_EMP_FID_IO_ACTIONS,                      /* cics cmf field number 215 */
   CICS_EMP_TDQ_DETAIL_TYPE_OS_COUNT,                    /* type of cmf field */
   none,                                                 /* user emp sub type */
   COUNT_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "FileSysIO",                                             /* selection name */
   "FileSys",                                            /* report title text */

   CICS_EMP_FID_SUT_CICSSPACE,                   /* cics cmf field number 216 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "CICS_CPU",                                              /* selection name */
   "CICS-CPU",                                           /* report title text */

   CICS_EMP_FID_ULM_TIME,                        /* cics cmf field number 217 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "CMF_Time",                                              /* selection name */
   "CMF-Time",                                           /* report title text */

   CICS_EMP_FID_ET_LOCAL_SNA_LINK,               /* cics cmf field number 218 */
   CICS_EMP_TDQ_DETAIL_TYPE_TIMER,                       /* type of cmf field */
   none,                                                 /* user emp sub type */
   TIMER_SZ,                                             /* report field size */
   0,                                       /* accumulated count for this emp */
   0,                                /* accumulated milliseconds for this emp */
   "L_SNA_Time",                                            /* selection name */
   "L-SNA-Time"                                          /* report title text */

};

